Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.remote.ejb
Class EJBObjectMarshallerImpl

`java.lang.Object
oracle.jbo.server.remote.ObjectMarshallerImpl
oracle.jbo.server.remote.ejb.EJBObjectMarshallerImpl`

All Implemented Interfaces:
  ObjectMarshaller

public class EJBObjectMarshallerImpl
extends ObjectMarshallerImpl

Constructor Summary
`EJBObjectMarshallerImpl()`

Method Summary
`protected ResponseValues` | `adjustMarshalApplicationModule(ApplicationModuleImpl am, ResponseValues amRef)`
`void` | `removeObject(java.lang.Object obj)`
`java.lang.Object` | `unMarshal(java.lang.Object obj)`

Methods inherited from class oracle.jbo.server.remote.ObjectMarshallerImpl
`addException, addObject, addObject, createPiggybackManager, createRowSetListener, findOrCreateDataCollector, finishedPiggybacking, getIdToObjectMap, getMarshalledTypeName, getObject, getObjectToIdMap, getRowFromHandle, getSvcMsgManager, getSyncMode, isCustomMarshalled, isInWorkingSet, marshal, marshalApplicationModule, marshalApplicationModuleInternal, marshalComponentObject, marshalComponentObjectInternal, marshalRowSet, marshalRowSetIterator, marshalViewDef, marshalViewLink, marshalViewObject, objectId, removeId, resetMarshaller, setSvcMsgManager, setSyncMode, syncROT`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBObjectMarshallerImpl

    public EJBObjectMarshallerImpl()

Method Detail

### adjustMarshalApplicationModule

    protected ResponseValues adjustMarshalApplicationModule(ApplicationModuleImpl am,
                                                            ResponseValues amRef)

  Overrides:
    `adjustMarshalApplicationModule` in class `ObjectMarshallerImpl`

### unMarshal

    public java.lang.Object unMarshal(java.lang.Object obj)

  Specified by:
    `unMarshal` in interface `ObjectMarshaller`
  Overrides:
    `unMarshal` in class `ObjectMarshallerImpl`

### removeObject

    public void removeObject(java.lang.Object obj)

  Overrides:
    `removeObject` in class `ObjectMarshallerImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.